%define builtin_release_version 2.1AS
%define builtin_release_name Derry
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}

Summary: Derry release file
Name: redhat-release-as
Version: %{real_release_version}
Release: 120
Copyright: GPL
Group: System Environment/Base
Source: %{name}-%{builtin_release_version}.tar.gz
ExclusiveArch: ia64
Obsoletes: rawhide-release
BuildRoot: %{_tmppath}/%{name}-root
Provides: redhat-release

%description
Derry release file

%prep
%setup -q -n %{name}-2.1AS

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "Red Hat Linux Advanced Server release %{real_release_version} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/redhat-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%doc R* 
%doc COPYING autorun-template 
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
